com.ibm.openpages.api.respview

## Interface IRespView

- All Superinterfaces:
    IRespViewContainer

      public interface IRespView
      extends IRespViewContainer

  Represents the responsive view.

  Since:
    8.0.0.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_OBJECT_TYPE_ID` The object type ID attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`
    `static java.lang.String` | `ATTR_OBJECT_TYPE_LABEL` The object type label attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`
    `static java.lang.String` | `ATTR_OBJECT_TYPE_NAME` The object type name attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`

    - ### Fields inherited from interface com.ibm.openpages.api.respview.IRespViewContainer

      `ATTR_DEFAULT, ATTR_DESCRIPTION, ATTR_ENABLED, ATTR_HAS_DRAFT, ATTR_HAS_PUBLISHED, ATTR_ID, ATTR_NAME, ATTR_SUPPLIED_BY_VENDOR, ATTR_TYPE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IRespViewFilterRules` | `getDefaultFilterRules()` Gets the filter information for a grid view
    `IRespViewGuidance` | `getGuidance()` Returns the responsive view guidance
    `IRespViewHeader` | `getHeader()` Returns the responsive view header
    `java.lang.String` | `getNameLabel()` Returns the localized name label of the responsive view for the user session
    `java.util.List<ILabel>` | `getNameLabels()` Returns the responsive view name labels for all locales
    `IRespViewRuleCondition` | `getRuleCondition()` Returns the view identification rule condition.
    `int` | `getRuleOrder()` Returns the view identification rule order.
    `java.util.List<IRespViewSection>` | `getSections()` Returns the list of responsive view sections
    `ITypeDefinition` | `getTypeDefinition()` Returns the type definition that the responsive view belongs to.
    `void` | `setDefaultFilterRules(IRespViewFilterRules defaultFilterRules)` Sets the filter information for a grid view
    `void` | `setNameLabels(java.util.List<ILabel> nameLabels)` Sets the list of responsive view name labels
    `void` | `setRuleCondition(IRespViewRuleCondition condition)` Sets the view identification rule condition.
    `void` | `setRuleOrder(int order)` Sets the view identification rule order.
    `void` | `setSections(java.util.List<IRespViewSection> sections)` Sets the list of responsive view sections

    - ### Methods inherited from interface com.ibm.openpages.api.respview.IRespViewContainer

      `getDescription, getId, getLastModifiedBy, getModifiedDate, getName, getRespViewType, hasDraft, hasPublishedVersion, isDefault, isEnabled, isSuppliedByVendor, setDefault, setDescription, setEnabled, setSuppliedByVendor`

- - ### Field Detail

    - #### ATTR_OBJECT_TYPE_ID

          static final java.lang.String ATTR_OBJECT_TYPE_ID

      The object type ID attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`
      Since:
        8.1
      See Also:
        Constant Field Values

    - #### ATTR_OBJECT_TYPE_NAME

          static final java.lang.String ATTR_OBJECT_TYPE_NAME

      The object type name attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`
      Since:
        8.1
      See Also:
        Constant Field Values

    - #### ATTR_OBJECT_TYPE_LABEL

          static final java.lang.String ATTR_OBJECT_TYPE_LABEL

      The object type label attribute that is used by the condition/sorting for `IConfigurationService.getDashboards(com.ibm.openpages.api.configuration.IFindOptions, RespViewState)`
      Since:
        8.1
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTypeDefinition

          ITypeDefinition getTypeDefinition()

      Returns the type definition that the responsive view belongs to.
      Returns:
        `ITypeDefinition` the type definition that the responsive view belongs to.

    - #### getNameLabel

          java.lang.String getNameLabel()

      Returns the localized name label of the responsive view for the user session
      Returns:
        the localized name label as a string

    - #### getNameLabels

          java.util.List<ILabel> getNameLabels()

      Returns the responsive view name labels for all locales
      Returns:
        `ILabel` the responsive view name label

    - #### setNameLabels

          void setNameLabels(java.util.List<ILabel> nameLabels)

      Sets the list of responsive view name labels
      Parameters:
        `nameLabels` - the list of `ILabel`

    - #### getHeader

          IRespViewHeader getHeader()

      Returns the responsive view header
      Returns:
        `IRespViewHeader` the responsive view header

    - #### getSections

          java.util.List<IRespViewSection> getSections()

      Returns the list of responsive view sections
      Returns:
        the list of `IRespViewSection` the responsive view sections

    - #### setSections

          void setSections(java.util.List<IRespViewSection> sections)

      Sets the list of responsive view sections
      Parameters:
        `sections` - the list of `IRespViewSection`

    - #### getGuidance

          IRespViewGuidance getGuidance()

      Returns the responsive view guidance
      Returns:
        `IRespViewGuidance` the responsive view guidance

    - #### getRuleOrder

          int getRuleOrder()

      Returns the view identification rule order. The `IRespViewRuleCondition` is evaluated from the smallest rule order value and matched rule is used by the task view. When there is no matching view, the default view is used by the task view.
      Returns:
        positive integer that represents view identification rule oder.

    - #### setRuleOrder

          void setRuleOrder(int order)

      Sets the view identification rule order.
      Parameters:
        `order` - the positive integer that represents view identification rule order.

    - #### getRuleCondition

          IRespViewRuleCondition getRuleCondition()

      Returns the view identification rule condition.
      Returns:
        `IRespViewRuleCondition` the responsive view identification rule condition

    - #### setRuleCondition

          void setRuleCondition(IRespViewRuleCondition condition)

      Sets the view identification rule condition.
      Parameters:
        `condition` - `IRespViewRuleCondition` the responsive view identification rule condition

    - #### getDefaultFilterRules

          IRespViewFilterRules getDefaultFilterRules()

      Gets the filter information for a grid view
      Returns:
        IRespViewFilterRules

    - #### setDefaultFilterRules

          void setDefaultFilterRules(IRespViewFilterRules defaultFilterRules)

      Sets the filter information for a grid view
      Parameters:
        `filterRules` - IRespViewFilterRules

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.